# Created by pyp2rpm-3.3.2
%global pypi_name u-msgpack-python

Name:           python-%{pypi_name}
Version:        2.7.0
Release:        %mkrel 1
Summary:        A portable, lightweight MessagePack serializer and deserializer written in pure Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/vsergeev/u-msgpack-python
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/umsgpack.py
%{python3_sitelib}/u_msgpack_python-%{version}-py?.?.egg-info


%changelog
* Tue Sep 08 2020 guillomovitch <guillomovitch> 2.7.0-1.mga8
+ Revision: 1623671
- new version 2.7.0

* Sat Sep 07 2019 wally <wally> 2.5.2-1.mga8
+ Revision: 1438243
- imported package python-u-msgpack-python

